package cn.sh.stc.sict.cloud.upms.config;

import cn.hutool.core.date.DateUtil;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;

import java.util.Date;

/**
 * 用户密码修改提示 配置属性
 */
@Data
@Component
@RefreshScope
@ConfigurationProperties(prefix = "user.pwd")
public class UserPwdProperties {
    /**
     * 是否进行密码修改提示
     */
    private Boolean limitFlag;
    /**
     * 上次修改超过{{limitDays}}天，锁定用户
     */
    private Integer limitDays;
    /**
     * 上次修改超过{{tipsDays}}天，开始提示用户修改密码
     */
    private Integer tipsDays;

    public boolean getTips(Date lastPwdTime) {
        long offsetDays = DateUtil.betweenDay(lastPwdTime, DateUtil.date(), true);
        if (offsetDays > tipsDays) {
            return true;
        }
        return false;
    }
}
