package cn.sh.stc.sict.cloud.upms.controller.web;

import cn.sh.stc.sict.cloud.upms.service.SysRouteConfService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import cn.sh.stc.sict.cloud.common.core.util.R;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;

import cn.sh.stc.sict.cloud.upms.model.SysRouteConf;


/**
 * 路由配置表
 *
 * @author F_xh。
 * @date 2020-12-27 10:34:07
 */
@RestController
@RequestMapping("/sysrouteconf")
@AllArgsConstructor
@Slf4j
@Api(value = "路由配置表 controller", tags = "路由配置表")
public class SysRouteConfController {

    private SysRouteConfService sysRouteConfService;

    /**
     * 分页查询
     * @param page 分页对象
     * @param sysRouteConf 路由配置表
     * @return
     */
    @ApiOperation("分页查询 路由配置表")
    @GetMapping("/page")
    public R getSysRouteConfPage(Page page, SysRouteConf sysRouteConf) {
        return  new R<>(sysRouteConfService.page(page,Wrappers.query(sysRouteConf)));
    }

    /**
     * 通过id查询路由配置表
     * @param id id
     * @return R
     */
    @ApiOperation("通过id查询 路由配置表")
    @GetMapping("/{id}")
    public R getById(@PathVariable("id") Integer id){
        return new R<>(sysRouteConfService.getById(id));
    }

    /**
     * 新增路由配置表
     * @param sysRouteConf 路由配置表
     * @return R
     */
    // @ApiOperation("新增路由配置表")
    // @PostMapping
    // public R save(@RequestBody SysRouteConf sysRouteConf){
    //    return new R<>(sysRouteConfService.save(sysRouteConf));
    // }

    /**
     * 修改路由配置表
     * @param sysRouteConf 路由配置表
     * @return R
     */
    // @ApiOperation("修改路由配置表")
    // @PutMapping
    // public R updateById(@RequestBody SysRouteConf sysRouteConf){
    //     return new R<>(sysRouteConfService.updateById(sysRouteConf));
    // }

    /**
     * 通过id删除路由配置表
     * @param id id
     * @return R
     */
    // @ApiOperation("删除路由配置表")
    // @DeleteMapping("/{id}")
    // public R removeById(@PathVariable Integer id){
    //    return new R<>(sysRouteConfService.removeById(id));
    // }

}
